VSTGUI: GradientViewCreator Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
GradientViewCreator Struct Reference
Inheritance diagram for GradientViewCreator:

## Public Member Functions
| GradientViewCreator ()
IdStringPtr | getViewName () const override
IdStringPtr | getBaseViewName () const override
UTF8StringPtr | getDisplayName () const override
CView * | create (const UIAttributes &attributes, const IUIDescription *description) const override
bool | apply (CView *view, const UIAttributes &attributes, const IUIDescription *description) const override
bool | getAttributeNames (StringList &attributeNames) const override
AttrType | getAttributeType (const string &attributeName) const override
bool | getAttributeValue (CView *view, const string &attributeName, string &stringValue, const IUIDescription *desc) const override
bool | getPossibleListValues (const string &attributeName, ConstStringPtrList &values) const override
bool | getAttributeValueRange (const string &attributeName, double &minValue, double &maxValue) const override

## Additional Inherited Members
Public Types inherited from IViewCreator
enum | AttrType { kUnknownType, kBooleanType, kIntegerType, kFloatType, kStringType, kColorType, kFontType, kBitmapType, kPointType, kRectType, kTagType, kListType, kGradientType }
using | string = std::string
using | StringList = std::list< string >
using | ConstStringPtrList = std::list< const string * >

## Constructor & Destructor Documentation

GradientViewCreator | ( |  | ) |

## Member Function Documentation

bool apply | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | description
| ) |  | const
| overridevirtual

Reimplemented from ViewCreatorAdapter.

CView * create | ( | const UIAttributes & | attributes,
|  | const IUIDescription * | description
| ) |  | const
| overridevirtual

Implements IViewCreator.

bool getAttributeNames | ( | StringList & | attributeNames | ) | const
| overridevirtual

Reimplemented from ViewCreatorAdapter.

auto getAttributeType | ( | const string & | attributeName | ) | const
| overridevirtual

Reimplemented from ViewCreatorAdapter.

bool getAttributeValue | ( | CView * | view,
|  | const string & | attributeName,
|  | string & | stringValue,
|  | const IUIDescription * | desc
| ) |  | const
| overridevirtual

Reimplemented from ViewCreatorAdapter.

bool getAttributeValueRange | ( | const string & | attributeName,
|  | double & | minValue,
|  | double & | maxValue
| ) |  | const
| overridevirtual

Reimplemented from ViewCreatorAdapter.

IdStringPtr getBaseViewName | ( |  | ) | const
| overridevirtual

Implements IViewCreator.

UTF8StringPtr getDisplayName | ( |  | ) | const
| overridevirtual

Reimplemented from ViewCreatorAdapter.

bool getPossibleListValues | ( | const string & | attributeName,
|  | ConstStringPtrList & | values
| ) |  | const
| overridevirtual

Reimplemented from ViewCreatorAdapter.

IdStringPtr getViewName | ( |  | ) | const
| overridevirtual

Implements IViewCreator.

The documentation for this struct was generated from the following files:

- gradientviewcreator.h
- gradientviewcreator.cpp